DKBSignDocs

API reference

POSTRequires Bearer token

Post workflows steps insert

/api/workflows/{workflow}/steps/insert

Submit /api/workflows/{workflow}/steps/insert. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
workflow
Required
stringPath parameter workflow.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
201Created
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/workflows/workflow/steps/insert' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 201

json
{
  "message": "Created",
  "id": 1
}